// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escaz, San Jos, Costa Rica 
// dedicado a Jess y Mara...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 24 octubre 2010
//                
// Este dibujo esta en unidades arbitrarias
// Existen problemas, al escalar con la textura interior,
// deberia tomar precauciones
// ademas deberia elevar el valor de la
// variable max_trace_level
//
// El objeto FBWF_FishBowlWithFishes se coloca segun
// Minimo <-141.000, -141.000,-141.000>
// Maximo < 141.000,   65.000, 141.000>
// con el centro cercano a <0,0,0>
//
// se permiten modificadores transform
// #declare FBWF_TransformFish1 { ... }
// se aplica sobre un pez en el origen
// valor default = origen
// #declare FBWF_TransformFish2 { ... }
// se aplica sobre el otro pez
// valor default = 
//          rotate        -5*x+5*z+30*y
//          translate     70*x+30*y
//
// Para colocarlo simplemente.  El elevado valor de max_trace_level
// disminuye rayitas
// y puntos negros... 
// global_settings         {
//   max_trace_level       20
// }    
// object { FBWF_FishBowlWithFishes } 
// 
// Para su uso con transform...
// #declare FBWF_TransformFish1    = transform {
//          translate      30*z+30*x
// }
// #declare FBWF_TransformFish2    = transform {
//           rotate        -5*x+5*z+30*y
//           translate     -(70*x+30*y)
// }  
// #declare FBWF_POV3_1            = on;
// si se activa, realiza simplificaciones para compatibilidad con
// POV3.1.  Se pierde calidad de resultados.  
// En algunas versiones de POVRay se activa automticamente.
// #include "FBowlWF.inc"   
// global_settings         {
//   max_trace_level       20
// }    
// object { FBWF_FishBowlWithFishes }
// 

#include "colors.inc"
#include "glass.inc"          

#include "FBowlWF.inc"   
                     
#local   OjoAbsoluto            = 256;
#local   VecesCentroAbsoluto    = 10;

global_settings         {
  max_trace_level       20
}    
camera {
        location <   0,  0, -( VecesCentroAbsoluto+1 )*OjoAbsoluto >
        look_at  <   0,  0, -VecesCentroAbsoluto*OjoAbsoluto >
        angle           60  
}        
light_source    {
         < 500  , 500   , -3000 >
         White
}          
background      {
         Gray80
}           


object  {
  FBWF_FishBowlWithFishes
        rotate  -45*x+20*y      
        translate       
              < 0     , 0     ,-OjoAbsoluto*( VecesCentroAbsoluto-1 ) >
}  


