// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 30 agosto 2010
//                
// Mis dibujos estn en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
// El objeto gruta se coloca 
// en con su base frontal centrada en <0,0,0>
//
// Base de unos 3000*L de frente mas un poco mas por relieve 
// Altura algo mas de 3500*L
// tiene una entrada hacia delante de unos 20*L       
//
// Para colocarlo simplemente 
// object { GrutaVirgen }
// Algunos modificadores utiles
// que deberian declararse antes del include  
// #declare GVCR_VidrioVirgen   = off;
// elimina el vidrio de la gruta
// #declare GVCR_POV3_1         = on;
// En estado "on" realiza simplificaciones para
// que el dibujo sea compatible con POVRay 3.1.  
// En algunas versiones de POVRay se activa automticamente.
// #declare GVCR_ImagenHF       = "...";
// imagen tipo jpeg para sustituir relieve de imagen 
//      ( gif en modo POVRay 3.1. )    
// #declare GVCR_TexturaPiedra  = texture {}
// textura a aplicar a la gruta        
// #declare GVCR_TexturaImagen  = texture {}
// para reemplazar la textura de Jade de la imagen
// #declare GVCR_TexturaBase    = texture {}
// para aplicar a la base que soporta el vidrio y la imagen
// #declare GVCR_TexturaOro     = texture {}
// para aplicar a la barrita de oro decorativa
// #declare GVCR_TexturaVidrio  = texture {}
// para aplicar al vidrio cobertor 
//

#include "colors.inc"                
#include "GrutaVCR.inc"

#local    OjoAbsoluto            = 256;
#local    VecesCentroAbsoluto    = 10;   
#local    L                      = 0.001;

camera {
        location <   0,  0, -( VecesCentroAbsoluto+1 )*OjoAbsoluto >*L
        look_at  <   0,  0, -VecesCentroAbsoluto*OjoAbsoluto >*L  
}
light_source    {
         < 500  , 500   , -3000 >*L
         White
}
background      {
         White
}    

object   {
  GVCR_GrutaVirgen  
  translate     -2000*y*L+3000*z*L
}

